
%global meadversion 4.0.44
%global namedversion 4.0.44.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package jboss-ejb-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.0.44.Final-redhat-00001

Name:           %{?scl_prefix}jboss-ejb-client
Summary:        Client library for EJB applications working against JBoss AS
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: jboss-ejb-client-parent-4.0.44.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-ejb-client-jakarta-4.0.44.Final-redhat-00001.pom
Source103: jboss-ejb-client-parent-4.0.44.Final-redhat-00001.pom
Source104: jboss-ejb-client-4.0.44.Final-redhat-00001-sources.jar
Source105: jboss-ejb-client-jakarta-4.0.44.Final-redhat-00001-sources.jar
Source106: jboss-ejb-client-jakarta-4.0.44.Final-redhat-00001.jar
Source107: jboss-ejb-client-4.0.44.Final-redhat-00001.jar
Source108: jboss-ejb-client-4.0.44.Final-redhat-00001.pom
Source109: jboss-ejb-client-4.0.44.Final-redhat-00001-javadoc.jar
Source110: jboss-ejb-client-jakarta-4.0.44.Final-redhat-00001-javadoc.jar
%endif

URL:            https://github.com/jbossas/jboss-ejb-client
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-ejb-client-%{namedversion}-%{release}-root

%description
Client library for EJB applications working against JBoss AS.

%if %with javadoc
%package javadoc
Summary:   Javadoc for %{name}
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for %{name}.
%endif

%prep
%setup -q -n jboss-ejb-client-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-ejb-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-ejb-client-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{__unzip} -qq %{_sourcedir}/jboss-ejb-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} jboss-ejb-client-%{namedversion} %{buildroot}%{_javadocdir}/jboss-ejb-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-ejb-client
%defattr(0644,root,root,0755)
%{_javadir}/jboss-ejb-client-%{namedversion}.jar
%{_javadir}/jboss-ejb-client.jar
%if %with javadoc
%{_javadir}/jboss-ejb-client-%{namedversion}-javadoc.jar
%{_javadir}/jboss-ejb-client-javadoc.jar
%endif
%{_javadir}/jboss-ejb-client-%{namedversion}-sources.jar
%{_javadir}/jboss-ejb-client-sources.jar

%if %with javadoc
%files javadoc
%{_javadocdir}/jboss-ejb-client-%{namedversion}
%{_javadocdir}/jboss-ejb-client
%endif

%changelog
* Fri Dec 17 2021 cpaas-ops <cpaas-ops@redhat.com> - 4.0.44-1.Final_redhat_00001.1
Built by CPaaS

* Tue Nov 30 2021 cpaas-ops <cpaas-ops@redhat.com> - 4.0.43-1.Final_redhat_00001.1
Built by CPaaS

* Wed Oct 06 2021 cpaas-ops <cpaas-ops@redhat.com> - 4.0.43-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Nov 11 2020 Yong Yang <yyang@redhat.com> - 4.0.36-1.Final_redhat_00001.1
- RPM wrapper build 4.0.36.Final-redhat-00001

* Tue Sep 29 2020 Yong Yang <yyang@redhat.com> - 4.0.35-1.Final_redhat_00001.1
- RPM wrapper build 4.0.35.Final-redhat-00001

* Mon May 25 2020 Yong Yang <yyang@redhat.com> - 4.0.32-1.Final_redhat_00001.1
- RPM wrapper build 4.0.32.Final-redhat-00001

* Thu Feb 13 2020 Yong Yang <yyang@redhat.com> - 4.0.30-1.Final_redhat_00001.1
- RPM wrapper build 4.0.30.Final-redhat-00001

* Mon Feb 10 2020 Yong Yang <yyang@redhat.com> - 4.0.27-1.Final_redhat_00001.1
- RPM wrapper build 4.0.30.Final-redhat-00001

* Wed Nov 20 2019 Yong Yang <yyang@redhat.com> - 4.0.23-1.Final_redhat_00001.1
- RPM wrapper build 4.0.25.Final-redhat-00001

* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 4.0.22-1.Final_redhat_00001.1
- RPM wrapper build

* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 4.0.20-1.Final_redhat_00001.1
- RPM wrapper build

* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 4.0.20-1.Final_redhat_00001.1
- RPM wrapper build

* Wed Jul 17 2019 Yong Yang <yyang@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- RPM wrapper build

* Mon Jul 01 2019 Yong Yang <yyang@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- RPM wrapper build

* Tue May 14 2019 Yong Yang <yyang@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- RPM wrapper build

* Mon May 13 2019 Yong Yang <yyang@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- RPM wrapper build

* Mon May 13 2019 Yong Yang <yyang@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- RPM wrapper build

* Fri May 10 2019 Permaine Cheung <pcheung@redhat.com> - 4.0.18-1.Final_redhat_00001.1
- org.jboss-jboss-ejb-client-4.0.18.Final_redhat_00001-1

* Tue Mar 05 2019 Neil Wallace <nwallace@redhat.com> - 4.0.15-1.Final_redhat_00001.1
- 4.0.15.Final-redhat-00001

* Wed Oct 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.12-1.Final_redhat_00001.1
- upgrade to 4.0.12.Final-redhat-00001

* Thu Aug 09 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.0.11-1.Final_redhat_1.1
- upgrade to 4.0.11.Final-redhat-1

* Thu Jul 05 2018 Permaine Cheung <pcheung@redhat.com> - 4.0.10-2.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Mar 21 2018 Aurel Pintea <apintea@redhat.com> - 4.0.10-1.Final_redhat_1.1
- upgrade to 4.0.10.Final-redhat-1

* Tue Oct 31 2017 Petr Sakar <psakar@redhat.com> - 4.0.9-1.Final_redhat_1.1
- upgrade to 4.0.9.Final-redhat-1

* Fri Oct 27 2017 Petr Sakar <psakar@redhat.com> - 4.0.8-1.Final_redhat_1.1
- upgrade to 4.0.8.Final-redhat-1

* Tue Oct 17 2017 Petr Sakar <psakar@redhat.com> - 4.0.7-1.Final_redhat_1.1
- upgrade to 4.0.7.Final-redhat-1

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 4.0.2-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Wed Oct 11 2017 Petr Sakar <psakar@redhat.com> - 4.0.2-1.Final_redhat_1.1
- upgrade to 4.0.2.Final-redhat-1

* Tue Sep 19 2017 Petr Sakar <psakar@redhat.com> - 4.0.1-1.Final_redhat_1.1
- upgrade to 4.0.1.Final-redhat-1

* Tue Aug 22 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-17.Final_redhat_1.1
- upgrade to 4.0.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-16.CR6_redhat_1.1
- upgrade to 4.0.0.CR6-redhat-1

* Thu Jul 06 2017 Martin Minar <mminar@redhat.com> - 4.0.0-15.CR5_redhat_1.1
- upgrade to 4.0.0.CR5-redhat-1

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 4.0.0-14.CR3_redhat_1.1
- upgrade to 4.0.0.CR3-redhat-1

* Wed Jun 07 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-13.Beta31_redhat_1.1
- upgrade to 4.0.0.Beta31-redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 4.0.0-12.Beta30_redhat_1.1
- update to version 4.0.0.Beta30

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 4.0.0-11.Beta27_redhat_1.1
- update to 4.0.0.Beta27

* Wed Apr 26 2017 Martin Minar <mminar@redhat.com> - 4.0.0-10.Beta25_redhat_1.1
- update version to 4.0.0.Beta25

* Thu Apr 06 2017 Neil Wallace <nwallace@redhat.com> - 4.0.0-9.Beta23_redhat_1.1
- Upgrade to 4.0.0.Beta24

* Thu Apr 06 2017 Neil Wallace <nwallace@redhat.com> - 4.0.0-8.Beta23_redhat_1.1
- Upgrade to 4.0.0.Beta24. With errata activated this time

* Thu Apr 06 2017 Neil Wallace <nwallace@redhat.com> - 4.0.0-7.Beta23_redhat_1.1
- Upgrade to 4.0.0.Beta24

* Tue Apr 04 2017 Martin Minar <mminar@redhat.com> - 4.0.0-6.Beta23_redhat_1.1
- Upgrade version to 4.0.0.Beta23

* Wed Mar 22 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-5.Beta22_redhat_1.1
- upgrade to 4.0.0.Beta22-redhat-1

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-4.Beta21_redhat_1.1
- upgrade to 4.0.0.Beta21-redhat-1

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-3.Beta20_redhat_1.1
- upgrade to 4.0.0.Beta20-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-2.Beta16_redhat_1.1
- upgrade to 4.0.0.Beta16-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 4.0.0-1.Beta15_redhat_1.1
- upgrade to 4.0.0.Beta15-redhat-1

* Wed Dec 21 2016 Fernando Nasser <fnasser@redhat.com> - 3.0.0-1.Beta4_redhat_1.1
- Upgrade to 3.0.0.Beta4

* Wed Nov 09 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.7-1.Final_redhat_1.1
- Upgrade to 2.1.7.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.6-1.Final_redhat_1.1
- Upgrade to 2.1.6.Final

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.1.4-1.Final_redhat_1.1
- Upgrade to 2.1.4.Final

* Tue Nov 03 2015 Neil Wallace <nwallace@redhat.com> - 2.1.3-1.Final_redhat_1.1
- Upgrade to 2.1.3.Final 

* Wed Jul 29 2015 Hui Wang <huwang@redhat.com> - 2.1.2-1.Final_redhat_1.1
- Upgrade to 2.1.2.Final-redhat-1

* Sat Jul 04 2015 Hui Wang <huwang@redhat.com> - 2.1.1-1.Final_redhat_1.1
- Upgrade to 2.1.1.Final

* Fri Mar 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.30-1.Final_redhat_1.1
- Upgrade to 1.0.30.Final

* Thu Mar 05 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.29-1.Final_redhat_1.1
- Upgrade to 1.0.29.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.28-1.Final_redhat_1.1
- Upgrade to 1.0.28.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.26-1.Final_redhat_1.1
- Upgrade to 1.0.26.Final

* Thu Feb 20 2014 Lin Gao <lgao@redhat.com> - 1.0.25-1.Final_redhat_1.1
- Upgrade to 1.0.25.Final

* Mon Nov 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.24-1.Final_redhat_1
- Upgrade to 1.0.24.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.23-1.Final_redhat_1
- Upgrade to 1.0.23.Final

* Fri Jul 12 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.22-1.Final_redhat_1
- Upgrade to 1.0.22.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.21-1.Final_redhat_1
- Upgrade to 1.0.21.Final

* Mon May 06 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.20-1.Final_redhat_1
- Upgrade to 1.0.20.Final

* Thu Apr 25 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.19-1.Final_redhat_1
- Upgrade to 1.0.19.Final

* Wed Mar 13 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.17-1.Final_redhat_1
- Upgrade to 1.0.17.Final

* Tue Feb 05 2013 Hui Wang <huwang@redhat.com> - 1.0.16-1.Final_redhat_1
- Upgrade to 1.0.16.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.11-2.Final_redhat_1
- Rebuild for MD5

* Wed Aug 22 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.11-1.Final_redhat_1
- Upgrade to 1.0.11.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.10-2.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.10-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.10-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 09 2012 Hui Wang <huwang@redhat.com> - 1.0.10-1.Final_redhat_1
- Upgrade to 1.0.10.Final

* Fri May 04 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.8-1.Final_redhat_1
- Upgrade to 1.0.8.Final

* Tue Mar 27 2012 Martha Benitez <mbenitez@redhat.com> - 1.0.5-1.Final_redhat_1.1
- Upgrade to 1.0.5.Final-redhat-1

* Fri Mar 16 2012 Hui Wang <huwang@redhat.com> - 1.0.4-2.Final_redhat_1.1
- New wrapper
- Fix installing path

* Fri Mar 02 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.4.Final-redhat-1.1
- Upgrade to 1.0.4.Final-redhat-1

* Mon Feb 27 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3.Final-redhat-1.1
- Upgrade to 1.0.3.Final-redhat-1

* Fri Feb 17 2012 Weinan Li <weli@redhat.com> - 1.0.2.Final-redhat-1
- Upgrade to 1.0.2.Final-redhat-1
- Wrapper build

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.Beta11_redhat_1.1
- Rebuild to use new signing key

* Mon Feb 06 2012 Fernando Nasser <fnasser@redhat.com> - 2.3.0-3-redhat-1.1
- Add missing -mead in wrapper RPM

* Tue Jan 31 2012 Weinan Li <weli@redhat.com> - 2.3.0-3
- Build wrapper rpm

* Thu Jan 12 2012 Weinan Li <weli@redhat.com> - 2.3.0-2
- Build for rpm

* Tue Dec 13 2011 Weinan Li <weli@redhat.com> - 2.3.0-1
- Upgrade to 2.3.0.GA

* Mon Oct 17 2011 Weinan Li <weli@redhat.com> - 2.1.1-5
- Placeholder
